Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface OndemandReportRecord

All Superinterfaces:
  java.io.Serializable

    public interface OndemandReportRecord

extends java.io.Serializable

Interface `OndemandReportRecord` contains information of an on demand report in the report server.

Method Summary
`java.lang.String` | `getCatalog()` Returns the catalog.
`int` | `getCatalogVersionNumber()` Gets catalog version number.
`long` | `getCompletedTime()` Returns the completed time if the report runs over, the number of milliseconds since January 1, 1970, 00:00:00 GMT, or else returns -1.
`long` | `getDuration()` Gets the duration time(ms) of the task.
`java.util.List` | `getEngineErrors()` Returns Engine errors list if the on demand Report failed to run.
`java.lang.String` | `getErrorMessage()` Returns Error Message if the on demand Report failed to run.
`int` | `getFormat()` Gets report format.
`int` | `getMemberID()` get the cluster node member id, which indicates the node that on demand report run on it.
`java.lang.String` | `getOndemandID()` Gets the on demand report record id.
`java.util.Properties` | `getParameters()` Returns the parameter properties.
`java.lang.String` | `getQuery()` Returns the HTTP query for "To Applet".
`java.lang.String` | `getReportName()` Returns the report name.
`ReportSheetInfo` | `getReportSheet()` Returns the report sheet
`int` | `getReportVersionNumber()` Gets report version number.
`java.lang.String` | `getResult()` Returns the report result.
`java.lang.String` | `getResultPath()` Gets path that represents a result doc, if this on demand report record represents a result doc.
`int` | `getResultVersionNumber()` Gets the result doc version number that this on demand report record represents.
`long` | `getStartedTime()` Returns the started time of the report running, the number of milliseconds since January 1, 1970, 00:00:00 GMT.
`java.lang.String` | `getStatus()` Gets report status.
`long` | `getTimeElapse()` Returns time elapse in milliseconds if the report does not runs over, or else returns the running time.
`java.lang.String` | `getUserID()` Returns the user ID.
`boolean` | `isCancelled()` Checks if this on demand report record is cancelled.
`boolean` | `isCompleted()` Returns if the report runs over.
`boolean` | `isLocal()` Checks in cluster whether the on demand report is local.
`boolean` | `isTempResult()` Checks if this on demand report record represents a temporary result or result doc.

Method Detail

### getUserID

    java.lang.String getUserID()

  Returns the user ID.

  Returns:
    the user ID.

### getResult

    java.lang.String getResult()

  Returns the report result.

  Returns:
    the report result.

### getCatalog

    java.lang.String getCatalog()

  Returns the catalog.

  Returns:
    the catalog.

### getReportName

    java.lang.String getReportName()

  Returns the report name.

  Returns:
    the report name.

### getReportSheet

    ReportSheetInfo getReportSheet()

  Returns the report sheet

  Returns:
    the report sheet

### getParameters

    java.util.Properties getParameters()

  Returns the parameter properties.

  Returns:
    the parameter properties.

### getQuery

    java.lang.String getQuery()

  Returns the HTTP query for "To Applet".

  Returns:
    the HTTP query for "To Applet".

### getStartedTime

    long getStartedTime()

  Returns the started time of the report running, the number of milliseconds since January 1, 1970, 00:00:00 GMT.

  Returns:
    the started time of the report running, the number of milliseconds since January 1, 1970, 00:00:00 GMT.

### isCompleted

    boolean isCompleted()

  Returns if the report runs over.

  Returns:
    if the report runs over.

### getCompletedTime

    long getCompletedTime()

  Returns the completed time if the report runs over, the number of milliseconds since January 1, 1970, 00:00:00 GMT, or else returns -1.

  Returns:
    the completed time if the report runs over, the number of milliseconds since January 1, 1970, 00:00:00 GMT, or else return -1.

### getTimeElapse

    long getTimeElapse()

  Returns time elapse in milliseconds if the report does not runs over, or else returns the running time.

  Returns:
    time elapse in milliseconds if the report does not runs over, or else return the running time.

### getErrorMessage

    java.lang.String getErrorMessage()

  Returns Error Message if the on demand Report failed to run.

  Returns:
    Error Message if the on demand Report failed to run

### getEngineErrors

    java.util.List getEngineErrors()

  Returns Engine errors list if the on demand Report failed to run.

  Returns:
    Engine errors list if the on demand Report failed to run.

### getCatalogVersionNumber

    int getCatalogVersionNumber()

  Gets catalog version number. It indicates which version of the catalog is used.

  Returns:
    the catalog version number

### getReportVersionNumber

    int getReportVersionNumber()

  Gets report version number. It indicates which version of the report is used.

  Returns:
    the report version number

### getOndemandID

    java.lang.String getOndemandID()

  Gets the on demand report record id.

  Returns:
    the on demand report record id.

### isTempResult

    boolean isTempResult()

  Checks if this on demand report record represents a temporary result or result doc.

  Returns:
    true if this on demand report record represents a temporary result

### getResultPath

    java.lang.String getResultPath()

  Gets path that represents a result doc, if this on demand report record represents a result doc.

  Returns:
    path that presents result doc corresponding to this on demand report record, or null if this on demand report record represents a temporary result.

### getResultVersionNumber

    int getResultVersionNumber()

  Gets the result doc version number that this on demand report record represents.

  Returns:
    the result doc version number.

### getDuration

    long getDuration()

  Gets the duration time(ms) of the task.

  Returns:
    the duration of the task.

### isCancelled

    boolean isCancelled()

  Checks if this on demand report record is cancelled.

  Returns:
    true if this record is cancelled.

### getStatus

    java.lang.String getStatus()

  Gets report status.

  Returns:
    report status.First use method isCompleted() to check if the related task is finished, if not finished and the value is null mean that the related task is in progress. And if the value is OndemandReportManager.STAUTS_STOPPED meaning the record related task is cancelled.

### getFormat

    int getFormat()

  Gets report format.

  Returns:
    report format.
    1 - HTML
    2 - PDF
    3 - TEXT
    4 - EXCEL
    5 - PS
    6 - RTF
    7 - XML
    8 - DHTML
    9 - CSV

### isLocal

    boolean isLocal()

  Checks in cluster whether the on demand report is local.

  Returns:
    whether the report is local.

### getMemberID

    int getMemberID()

  get the cluster node member id, which indicates the node that on demand report run on it.

  Returns:
    memeber id

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD